package kv

import "server/msg"

type KvMod struct {
	Data map[int]string
}

func (f *KvMod) InitData() {
	if f.Data == nil {
		f.Data = make(map[int]string)
	}
}

func (f *KvMod) SetVar(key int, value string) {
	if len(value) > 500 {
		return
	}
	if len(f.Data) > 150 {
		return
	}
	f.Data[key] = value
}

func (f *KvMod) BackData() *msg.ResKv {
	kv := make(map[int32]string)
	for k, v := range f.Data {
		kv[int32(k)] = v
	}
	return &msg.ResKv{
		Kv: kv,
	}
}
